SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1756478 - [4.2.z] Cannot disable S3 redirect via operator
Summary: [4.2.z] Cannot disable S3 redirect via operator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.z
Assignee: Oleg Bulatov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1756475
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-27 17:46 UTC by Adam Kaplan
Modified: 2019-11-13 18:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1756475
Environment:
Last Closed: 2019-11-13 18:55:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 400 'None' 'closed' '[release-4.2] Bug 1756478: Add flag ''DisableRedirect'', decide to route all data through the registry' 2019-11-19 15:43:15 UTC
Red Hat Product Errata RHBA-2019:3303 None None None 2019-11-13 18:55:59 UTC

Description Adam Kaplan 2019-09-27 17:46:51 UTC
+++ This bug was initially created as a clone of Bug #1756475 +++

Description of problem:
docker/distribution supports a "redirect" option for supported drivers like s3 [1].
In this case read requests (HEAD, GET) are redirected to the storage provider. This is enabled by default in the image registry.

There are several cases where the redirect breaks either Docker clients, or storage providers which implement the s3 API. Cluster admins should be able to disable this behavior.


Version-Release number of selected component (if applicable): 4.3.0


Additional info:

[1] https://docs.docker.com/registry/configuration/#redirect

Comment 1 Adam Kaplan 2019-09-27 17:50:04 UTC
Backport requested via Steve Teuber. This will satisfy multiple requests for our experimental support for S3 appliances [1].

[1] http://post-office.corp.redhat.com/archives/openshift-sme/2019-September/msg00020.html

Comment 3 Wenjing Zheng 2019-10-28 09:38:51 UTC
Verified on 4.2.0-0.nightly-2019-10-27-140004.

Comment 5 errata-xmlrpc 2019-11-13 18:55:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3303


Note You need to log in before you can comment on or make changes to this bug.